package com.hling.demo

import android.annotation.SuppressLint
import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.view.KeyEvent
import android.view.View
import com.hling.demo.AdsView.BannerActivity
import com.hling.demo.AdsView.InsertActivity
import com.hling.demo.AdsView.InsertFullScreenActivity
import com.hling.demo.AdsView.NativeActivity
import com.hling.demo.AdsView.NativeUnifiedActivity
import com.hling.demo.AdsView.RewardFullVideoActivity
import com.hling.demo.AdsView.RewardVideoActivity
import com.hling.demo.AdsView.SplashActivity
import com.zjkj.gtm.R


class MainActivity : Activity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    @SuppressLint("NonConstantResourceId")
    fun loopPage(v: View) {
        var intent: Intent? = null
        when (v.id) {
            R.id.btn_loop_splash -> intent = Intent(this, SplashActivity::class.java)
            R.id.btn_loop_insert -> intent = Intent(this, InsertActivity::class.java)
            R.id.btn_loop_full_insert -> intent = Intent(
                this,
                InsertFullScreenActivity::class.java
            )

            R.id.btn_loop_banner -> intent = Intent(this, BannerActivity::class.java)
            R.id.btn_loop_native -> intent = Intent(this, NativeActivity::class.java)
            R.id.btn_loop_unifiednative -> intent = Intent(this, NativeUnifiedActivity::class.java)
            R.id.btn_loop_reward_video -> intent = Intent(this, RewardVideoActivity::class.java)
            R.id.btn_loop_full_screen_video -> intent = Intent(
                this,
                RewardFullVideoActivity::class.java
            )

            else -> {}
        }
        if (intent != null) {
            startActivity(intent)
        }
    }

    override fun onKeyDown(keyCode: Int, event: KeyEvent): Boolean {
        if (event.action == KeyEvent.ACTION_DOWN) {
            finish()
            System.exit(0)
        }
        return super.onKeyDown(keyCode, event)
    }
}
