package com.hling.demo

import android.app.Application
import android.content.Context
import androidx.multidex.MultiDex
import com.halomobi.ssp.bussiness.module_sdk.HlSdk
import com.halomobi.ssp.framework.Abstract.AbstractInitAd
import com.hling.demo.Config.AppConfig.SDK_APP_ID


class MyApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        //sdk初始化
        HlSdk.init(this, SDK_APP_ID, true, object : AbstractInitAd() {
            override val deviceOaid: String
                get() = ""
        })
    }

    override fun attachBaseContext(base: Context?) {
        super.attachBaseContext(base)
        MultiDex.install(base)
    }
    override fun onTerminate() {
        super.onTerminate()
    }
}
