package com.halomobi.ssp.bussiness.module_Exception.sentry.android.core;

import org.jetbrains.annotations.Nullable;

import java.util.List;

import com.halomobi.ssp.bussiness.module_Exception.sentry.protocol.DebugImage;

final class NoOpDebugImagesLoader implements IDebugImagesLoader {

  private static final NoOpDebugImagesLoader instance = new NoOpDebugImagesLoader();

  private NoOpDebugImagesLoader() {}

  public static NoOpDebugImagesLoader getInstance() {
    return instance;
  }

  @Override
  public @Nullable List<DebugImage> loadDebugImages() {
    return null;
  }

  @Override
  public void clearDebugImages() {}
}
