package com.halomobi.ssp.bussiness.module_Exception.sentry.android.ndk;

import org.jetbrains.annotations.Nullable;

import com.halomobi.ssp.bussiness.module_Exception.sentry.protocol.DebugImage;

final class NativeModuleListLoader {

  public @Nullable DebugImage[] loadModuleList() {
    return nativeLoadModuleList();
  }

  public void clearModuleList() {
    nativeClearModuleList();
  }

  public static native DebugImage[] nativeLoadModuleList();

  public static native void nativeClearModuleList();
}
