package com.halomobi.ssp.bussiness.module_Exception.sentry.util;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;


public final class Objects {
  private Objects() {}

  public static <T> T requireNonNull(final @Nullable T obj, final @NotNull String message) {
    if (obj == null) throw new IllegalArgumentException(message);
    return obj;
  }
}
