package com.halomobi.ssp.bussiness.module_download.bean

import android.text.TextUtils
import com.halomobi.ssp.base.utils.KeyUtil.getMD5
import com.halomobi.ssp.model.request.bean.AdBean
import java.util.UUID

class AppInfo(url: String, contentLength: Long) {
    var ad: AdBean
    var id: String? = null // app的id
    var name: String? = null // app的软件名称
    var packageName: String? = null // app的包名
        set(packageName) {
            field = if (!TextUtils.isEmpty(packageName)) {
                packageName
            } else {
                getMD5(id)
            }
        }
    var size: Long = 0 // app的size
    var downloadUrl: String? = null // 下载地址
        private set

    init {
        this.id = UUID.randomUUID().toString()
        this.downloadUrl = url
        this.packageName = null
        this.name = getMD5(url)
        this.size = contentLength
        ad = AdBean()
    }
}
