package com.halomobi.ssp.bussiness.module_sdk.listener


interface AdListener {
    /**
     * 广告被展示（主线程回调）
     */
    fun onDisplayAd()

    /**
     * 广告被点击（主线程回调）
     */
    fun onClickAd(clickType: Int)

    /**
     * 广告被关闭（主线程回调）
     */
    fun onCloseAd()

    /**
     * 广告准备完毕（主线程回调）
     */
    fun onAdReady()

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    fun onAdError(msg: String?, code: Int)
}
