package com.halomobi.ssp.bussiness.module_sdk.listener;

import android.view.View;

import com.halomobi.ssp.model.request.bean.AdBean;

public interface NativeResponse {
    int IMAGES = 1;
    int SMALL_IMAGE = 2;
    int BIG_IMAGE = 3;

    void bindingTitle(int id);

    void bindingSub_title(int id);

    void bindingSource(int id);

    void bindingImgUrl(int... ids);

    String getTitle();

    String getSubTitle();

    String getSource();


    int getPrice();

    String[] getImageUrlList();

    int getType();

    int getW();

    int getH();

    void setImageBindDataProxy(BindDataProxy<View[], String[]> imageBindDataProxy);

    void setTitleBindDataProxy(BindDataProxy<View, String> titleBindDataProxy);

    void recordImpression(View v);

    void handleClick(View v, boolean isReport);

    void handleShow();

    boolean isDownloadApp();

    void loadImage(View imageView, String imageUrls);

    void handleClose();

    AdBean getAdInfo();

}
