package com.halomobi.ssp.bussiness.module_sdk.managerlistener

interface HlFullRewardVideoListener {
    /**
     * 广告加载成功,此时还没有进行视频的缓存
     */
    fun onAdLoadSuccess()

    /**
     * 广告加载失败
     */
    fun onAdFailed(msg: String?, code: Int)

    /**
     * 广告展示
     */
    fun onAdShow()

    /**
     * 广告关闭
     */
    fun onAdClose()

    /**
     * 广告点击
     */
    fun onAdClick()

    /**
     * 广告播放完毕
     */
    fun onPlayEnd()

//    /**
//     * 广告缓存成功
//     */
//    fun onCacheSuccess()
//
//    /**
//     * 广告缓存失败
//     */
//    fun onCacheFailed()

    /**
     * 领取奖励
     */
    fun onRewardComplete()


    /**
     * 视频播放进度
     */
    fun onProgress(videoProgress: Int)
}
