package com.halomobi.ssp.framework.interfaces

import android.graphics.Canvas
import android.graphics.RectF
import android.view.View
import com.halomobi.ssp.framework.listener.AdInnerViewOnDrawListener
import com.halomobi.ssp.model.request.bean.AdBean

interface IAdInnerView {
    fun renderAdView(ad: AdBean?): Boolean

    fun showView(): Boolean

    fun setOnDrawListener(adInnerViewOnDrawListener: AdInnerViewOnDrawListener?)

    val view: View?
}
