package com.halomobi.ssp.framework.listener


interface ClickAdStateChangListener {
    fun onClickAdStateChang(clickAdState: Int)

    companion object {
        const val STATE_WEB_OPEN: Int = 0x01
        const val STATE_WEB_CLOSE: Int = 0x02
        const val STATE_WEB_START_LOAD: Int = 0x03
        const val STATE_WEB_LOAD_FINISH: Int = 0x04
        const val STATE_WEB_LOAD_DEEPLINK: Int = 0x05
        const val STATE_APP_DOWNLOAD_START: Int = 0x10
        const val STATE_APP_DOWNLOAD_OK: Int = 0x11
        const val STATE_APP_DOWNLOAD_FAILED: Int = 0x12
        const val STATE_APP_INSTALLED: Int = 0x13
        const val STATE_APP_OPEN: Int = 0x14

        const val STATE_OPTION_DIALOG_OPEN: Int = 0x20
        const val STATE_OPTION_DIALOG_CANCEL: Int = 0x21
        const val STATE_OPTION_DIALOG_CONFIRM: Int = 0x22
    }
}
