package com.halomobi.ssp.framework.schedule

interface ITask : Runnable {
    val launchMode: LaunchMode?

    val name: String?

    /**
     * 启动模式
     */
    enum class LaunchMode {
        /**
         * 更新旧的Task(按照TaskName,先删掉旧的,再添加新的)
         */
        REPLACE_OLD,

        /**
         * 添加新的Task
         */
        ADD_NEW,
    }
}
