package com.halomobi.ssp.model.request.iptask


class RequestIpManager private constructor() {

    /**
     * 请求IP列表
     */
    fun requestIp() {
        RequestIpProcessor().process()
    }

    companion object {
        const val IP_ADDRESS: String = "ip_address"
        private var mInstance: RequestIpManager? = null

        @get:Synchronized
        val instance: RequestIpManager?
            get() {
                if (mInstance == null) {
                    mInstance = RequestIpManager()
                }
                return mInstance
            }
    }
}
