package com.halomobi.ssp.model.request.iptask

import com.halomobi.ssp.framework.schedule.ITask.LaunchMode
import com.halomobi.ssp.model.net.absnet.AbsNetTask
import com.halomobi.ssp.model.request.config.HttpUrlSetting
import java.net.HttpURLConnection


internal class RequestIpTask : AbsNetTask(ReqType.Get) {

    override val entity: ByteArray
        get() = ByteArray(0)

    override val url: String
        get() = HttpUrlSetting.requestIpUrl

    override fun onAddHeaders(urlConnection: HttpURLConnection?) {
    }

    override val launchMode: LaunchMode
        get() = LaunchMode.ADD_NEW

    override val name: String
        get() = javaClass.simpleName


}
