package com.halomobi.ssp.base.utils;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.SharedPreferences;

import java.util.Map;
import java.util.Set;

public class SpUtil {


    public static void putCommit(Context context, String str, String str2, Object obj) {
        if (context == null) {
            return;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences(str, 0);
            if (sharedPreferences != null) {
                SharedPreferences.Editor edit = sharedPreferences.edit();
                if (obj instanceof Boolean) {
                    edit.putBoolean(str2, (Boolean) obj);
                } else if (obj instanceof Float) {
                    edit.putFloat(str2, (Float) obj);
                } else if (obj instanceof Integer) {
                    edit.putInt(str2, (Integer) obj);
                } else if (obj instanceof Long) {
                    edit.putLong(str2, (Long) obj);
                } else if (obj instanceof String) {
                    edit.putString(str2, (String) obj);
                } else if (obj instanceof Set) {
                    edit.remove(str2);
                    edit.putStringSet(str2, (Set) obj);
                }
                edit.apply();
            }
        } catch (Throwable unused) {
            unused.printStackTrace();
        }
    }


    public static Object get(Context context, String str, Object obj) {
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences == null) {
                return null;
            }
            if (obj instanceof Boolean) {
                return sharedPreferences.getBoolean(str, (Boolean) obj);
            }
            if (obj instanceof Float) {
                return sharedPreferences.getFloat(str, (Float) obj);
            }
            if (obj instanceof Integer) {
                return sharedPreferences.getInt(str, (Integer) obj);
            }
            if (obj instanceof Long) {
                return sharedPreferences.getLong(str, (Long) obj);
            }
            if (obj instanceof String) {
                return sharedPreferences.getString(str, (String) obj);
            }
            if (obj instanceof Set) {
                return sharedPreferences.getStringSet(str, (Set) obj);
            }
            return null;
        } catch (Throwable unused) {
            unused.printStackTrace();
            return null;
        }
    }

    public static Object get(Context context, String str, String str2, Object obj) {
        if (context == null) {
            return null;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences(str, 0);
            if (sharedPreferences == null) {
                return null;
            }
            if (obj instanceof Boolean) {
                return sharedPreferences.getBoolean(str2, (Boolean) obj);
            }
            if (obj instanceof Float) {
                return sharedPreferences.getFloat(str2, (Float) obj);
            }
            if (obj instanceof Integer) {
                return sharedPreferences.getInt(str2, (Integer) obj);
            }
            if (obj instanceof Long) {
                return sharedPreferences.getLong(str2, (Long) obj);
            }
            if (obj instanceof String) {
                return sharedPreferences.getString(str2, (String) obj);
            }
            if (obj instanceof Set) {
                return sharedPreferences.getStringSet(str2, (Set) obj);
            }
            return null;
        } catch (Throwable unused) {
            unused.printStackTrace();
            return null;
        }
    }

    public static String getString(Context context, String str) {

        if (context == null) {
            return null;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences == null) {
                return null;
            }

            return sharedPreferences.getString(str, "");
        } catch (Throwable unused) {
            unused.printStackTrace();
            return null;
        }
    }

    public static void putString(Context context, String str, String str2) {
        if (context != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences("halo_ad_config", 0).edit();
                edit.putString(str, str2);
                edit.apply();
            } catch (Throwable unused) {
                unused.printStackTrace();
            }
        }
    }

    public static String getString(Context context, String str, String str2) {
       String r0 ;
        if (context == null) {
            return null;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences(str, 0);
            if (sharedPreferences == null) {
                return null;
            }
            r0 = sharedPreferences.getString(str2, "");
            return r0;
        } catch (Throwable unused) {
            unused.printStackTrace();
            return null;
        }
    }

    public static void putString(Context context, String str, String str2, String str3) {
        if (context != null) {
            try {
                SharedPreferences.Editor edit = context.getSharedPreferences(str, 0).edit();
                edit.putString(str2, str3);
                edit.apply();
            } catch (Throwable unused) {
                unused.printStackTrace();
            }
        }
    }

    @SuppressLint("CommitPrefEdits")
    public static void remove(Context context, String str) {
        if (context == null) {
            return;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences != null) {
                sharedPreferences.edit().remove(str);
                sharedPreferences.edit().apply();
            }
        } catch (Throwable unused) {
            unused.printStackTrace();
        }
    }

    public static Map<String, ?> getAll(Context context) {
        if (context == null) {
            return null;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences == null) {
                return null;
            }
            return sharedPreferences.getAll();
        } catch (Throwable unused) {
            unused.printStackTrace();
            return null;
        }
    }

    @SuppressLint("CommitPrefEdits")
    public static void clear(Context context) {
        if (context == null) {
            return;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences != null) {
                sharedPreferences.edit().clear();
                sharedPreferences.edit().apply();
            }
        } catch (Throwable unused) {
            unused.printStackTrace();
        }
    }


    public static boolean contains(Context context, String str) {
        if (context == null) {
            return false;
        }
        try {
            SharedPreferences sharedPreferences = context.getSharedPreferences("halo_ad_config", 0);
            if (sharedPreferences != null) {
                return sharedPreferences.contains(str);
            }
            return false;
        } catch (Throwable unused) {
            unused.printStackTrace();
            return false;
        }
    }

    public static String getUpdated(Context context, String str) {
        String string;
        try {
            string = context.getSharedPreferences("halo_ad_config", 0).getString(str, String.valueOf(System.currentTimeMillis() / 1000));
            return string;
        } catch (Throwable unused) {
            unused.printStackTrace();
            return "";
        }
    }


}