package com.halomobi.ssp.bussiness.module_Exception.sentry;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.halomobi.ssp.bussiness.module_Exception.sentry.protocol.User;

/** Observer for the sync. of Scopes across SDKs */
public interface IScopeObserver {
  void setUser(@Nullable User user);

  void addBreadcrumb(@NotNull Breadcrumb crumb);

  void setTag(@NotNull String key, @NotNull String value);

  void removeTag(@NotNull String key);

  void setExtra(@NotNull String key, @NotNull String value);

  void removeExtra(@NotNull String key);
}
