package com.halomobi.ssp.bussiness.module_Exception.sentry;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

final class SentryValues<T> {
  private final List<T> values;

  SentryValues(@Nullable List<T> values) {
    if (values == null) {
      values = new ArrayList<>(0);
    }
    this.values = new ArrayList<>(values);
  }

  public @NotNull List<T> getValues() {
    return values;
  }
}
