package com.halomobi.ssp.bussiness.module_Exception.sentry.cache;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.halomobi.ssp.bussiness.module_Exception.sentry.SentryEnvelope;

public interface IEnvelopeCache extends Iterable<SentryEnvelope> {

  void store(@NotNull SentryEnvelope envelope, @Nullable Object hint);

  default void store(@NotNull SentryEnvelope envelope) {
    store(envelope, null);
  }

  void discard(@NotNull SentryEnvelope envelope);
}
