package com.halomobi.ssp.bussiness.module_Exception.sentry.util;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import com.halomobi.ssp.bussiness.module_Exception.sentry.ILogger;
import com.halomobi.ssp.bussiness.module_Exception.sentry.SentryLevel;


public final class LogUtils {

  public static void logIfNotFlushable(final @NotNull ILogger logger, final @Nullable Object hint) {
    logger.log(
        SentryLevel.DEBUG,
        "%s is not Flushable",
        hint != null ? hint.getClass().getCanonicalName() : "Hint");
  }

  public static void logIfNotRetryable(final @NotNull ILogger logger, final @Nullable Object hint) {
    logger.log(
        SentryLevel.DEBUG,
        "%s is not Retryable",
        hint != null ? hint.getClass().getCanonicalName() : "Hint");
  }
}
