package com.halomobi.ssp.bussiness.module_download.listener

import com.halomobi.ssp.bussiness.module_download.bean.DownloadItem


interface DownloadListener {
    fun onStart(item: DownloadItem?)

    fun onProcessing(item: DownloadItem?)

    fun onFinish(item: DownloadItem?)

    fun onStop(downloadItem: DownloadItem?)

    fun onError(downloadItem: DownloadItem?, errorCode: Int, errorMsg: String?)
}
