package com.halomobi.ssp.bussiness.module_download.listener

import com.halomobi.ssp.bussiness.module_download.bean.DownloadItem
import com.halomobi.ssp.model.request.bean.AdBean


interface DownloadStateListener {
    fun onDownloadError(item: DownloadItem?, errorCode: Int, errorMsg: String?)

    fun onDownloadStart(item: DownloadItem?, ad: AdBean?)

    fun onDownloaded(item: DownloadItem?, ad: AdBean?)

    fun onInstalled(item: DownloadItem?, ad: AdBean?)

    fun onOpened(item: DownloadItem?, ad: AdBean?)
}
