package com.halomobi.ssp.bussiness.module_sdk.listener

import android.view.View

/**
 */
interface NativeAdListener {
    /**
     * 返回广告（主线程回调
     */
    fun onAdReach(response: List<NativeResponse?>?, view: View?)


    fun onAdReach(response: List<NativeResponse?>?)

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    fun onAdError(msg: String?, code: Int)

    fun onAdShow()

    fun onAdClick()

    fun onAdClose()
}
