package com.halomobi.ssp.bussiness.module_sdk.managerlistener

interface HlFullinterListener {
    /**
     * 广告展示
     */
    fun onDisplayAd()

    /**
     * 广告点击
     */
    fun onClickAd()

    /**
     * 广告关闭
     */
    fun onCloseAd()

    /**
     * 广告加载成功
     */
    fun onAdLoadSuccess()

    /**
     * 广告加载失败
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    fun onAdFailed(msg: String?, code: Int)
}
