package com.halomobi.ssp.bussiness.module_sdk.managerlistener

import android.view.View

interface HlNativeListener {
    /**
     * 广告加载成功
     */
    fun onAdLoadSuccess(view: View?)

    /**
     * 广告加载失败
     *
     * @param msg  错误信息
     * @param code 错误码
     */
    fun onAdFailed(msg: String?, code: Int)

    /**
     * 广告展示
     */
    fun onAdShow(view: View?)

    /**
     * 广告点击
     */
    fun onAdClick(view: View?)

    /**
     * 广告关闭
     */
    fun onAdClose(view: View?)
}
