package com.halomobi.ssp.bussiness.module_sdk.normal

import android.annotation.SuppressLint
import android.app.Activity
import android.content.pm.ActivityInfo
import android.os.Bundle
import android.text.TextUtils
import android.view.KeyEvent
import android.view.ViewGroup
import android.view.Window
import android.view.WindowManager
import android.webkit.WebView
import android.widget.FrameLayout
import com.halomobi.ssp.base.utils.Utils
import com.halomobi.ssp.bussiness.module_sdk.listener.RewardVideoListener
import com.halomobi.ssp.bussiness.module_sdk.normal.HmCustomRewardVideoAd.Companion.startFullscreen
import com.halomobi.ssp.bussiness.module_sdk.normal.HmCustomRewardVideoAd.VideoStateChangeListener
import com.halomobi.ssp.bussiness.module_sdk.normal.HmRewardVideoManager.Companion.instance
import com.halomobi.ssp.bussiness.module_video.rewardvideo.Jzvd.goOnPlayOnPause
import com.halomobi.ssp.bussiness.module_video.rewardvideo.Jzvd.goOnPlayOnResume
import com.halomobi.ssp.bussiness.module_video.rewardvideo.Jzvd.releaseAllVideos
import com.halomobi.ssp.framework.controller.AdController
import com.halomobi.ssp.framework.interfaces.IAdControl
import com.halomobi.ssp.model.request.bean.AdBean

class RewardVideoActivity : Activity() {
    private var mAd: AdBean? = null
    private var layout: FrameLayout? = null
    private val typeHtml = "1" //html格式.

    /**
     * 按下开始时间
     */
    private var mDownTime: Long = 0
    var mAdController: IAdControl? = null
    var mRewardVideoListener: RewardVideoListener? = null
    private var videoClose = false
    private var mWebView: WebView ? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        window.addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON)
        mRewardVideoListener = instance?.listener
        if (checkNull()) {
            finish()
        } else {
            initBar()
            mAdController = AdController.getInstance(this)
            if (!TextUtils.isEmpty(mAd?.reward_video?.videoUrl)) {
                startFullscreen(
                    this,
                    HmCustomRewardVideoAd::class.java,
                    mAd?.reward_video?.videoUrl,
                    "",
                    mAd?.reward_video?.orientation,
                    object : VideoStateChangeListener {
                        override fun videoClose() {
                            videoClose = true
                        }
                    })
            }
        }
    }

//    private fun initEndCard() {
//        if (mAd != null && mAd?.reward_video != null) {
//            if (TextUtils.equals(typeHtml, mAd?.reward_video?.endCardType)) {
//                initEndcardHtml(mAd)
//            } else {
//                initEndCardUrl()
//            }
//        }
//    }
//
//    private fun initEndcardHtml(mAd: AdBean?) {
//        val params = FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, -1)
//        mWebView = WebView(this)
//        val utils = WebViewUtils()
//        utils.initWebView(this, mWebView, mAd)
//        layout?.addView(mWebView, params)
//        val close = ImageView(this)
//        close.setImageResource(JZUtils.getId("hj_video_close", "drawable"))
//        val params2 = FrameLayout.LayoutParams(
//            ViewGroup.LayoutParams.WRAP_CONTENT,
//            ViewGroup.LayoutParams.WRAP_CONTENT
//        )
//        params2.gravity = Gravity.END or Gravity.TOP
//        params2.rightMargin = 50
//        params2.topMargin = 50
//        params2.height = JZUtils.dip2px(this, 30f)
//        params2.width = JZUtils.dip2px(this, 30f)
//        close.setOnClickListener { finish() }
//        layout?.addView(close, params2)
//
//        if (!TextUtils.isEmpty(mAd?.reward_video?.endCardHtml)) {
//            mWebView?.loadData(mAd?.reward_video?.endCardHtml.toString(), "text/html; charset=UTF-8", null)
//        }
//    }
//
//    private fun initEndCardUrl() {
//        val params = FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, -1)
//        params.gravity = Gravity.BOTTOM
//        params.width = JZUtils.getScreenWidth(this)
//        val endCard: View
//        val icon: ImageView
//        val title: TextView
//        val subTitle: TextView
//        val detail: TextView
//        val rlLayout: RelativeLayout
//        val close: ImageView
//        if (AdBean.SCREEN_ORIENTATION_PORTRAIT == mAd?.reward_video?.orientation) {
//            endCard = LayoutInflater.from(this)
//                .inflate(JZUtils.getId("hj_endcard_layout_por", "layout"), null)
//            icon = endCard.findViewById(JZUtils.getId("hj_por_iv_icon", "id"))
//            title = endCard.findViewById(JZUtils.getId("hj_por_tv_title", "id"))
//            subTitle = endCard.findViewById(JZUtils.getId("hj_por_tv_sub_title", "id"))
//            detail = endCard.findViewById(JZUtils.getId("hj_por_tv_detail", "id"))
//            rlLayout = endCard.findViewById(JZUtils.getId("hj_por_rl_layout", "id"))
//            close = endCard.findViewById(JZUtils.getId("hj_por_iv_close", "id"))
//        } else {
//            endCard = LayoutInflater.from(this)
//                .inflate(JZUtils.getId("hj_endcard_layout_lands", "layout"), null)
//            icon = endCard.findViewById(JZUtils.getId("hj_lands_iv_icon", "id"))
//            title = endCard.findViewById(JZUtils.getId("hj_lands_tv_title", "id"))
//            subTitle = endCard.findViewById(JZUtils.getId("hj_lands_tv_sub_title", "id"))
//            detail = endCard.findViewById(JZUtils.getId("hj_lands_tv_detail", "id"))
//            rlLayout = endCard.findViewById(JZUtils.getId("hj_lands_rl_layout", "id"))
//            close = endCard.findViewById(JZUtils.getId("hj_lands_iv_close", "id"))
//        }
//        if (!TextUtils.isEmpty(mAd?.reward_video?.title)) {
//            title.text = mAd?.reward_video?.title
//        }
//        if (!TextUtils.isEmpty(mAd?.reward_video?.subTitle) && "null" != mAd?.reward_video?.subTitle) {
//            subTitle.text = mAd?.reward_video?.subTitle
//        }
//        if (!TextUtils.isEmpty(mAd?.reward_video?.icon)) {
//            ImageLoader.load(icon, mAd?.reward_video?.icon)
//        }
//        if (mAd?.interaction_type == 2) {
//            detail.text = "立即下载"
//        }
//        if (!TextUtils.isEmpty(mAd?.reward_video?.endCardUrl)) {
//            ImageLoader.load(rlLayout, mAd?.reward_video?.endCardUrl)
//        }
//        close.setOnClickListener { finish() }
//        detail.setOnClickListener { //                LogUtils.d(TAG + "click");
//            if (mAdController != null && mAd != null) {
//                runOnUiThread {
//                    mAdController?.clickAd(mAd)
//                    if (mRewardVideoListener != null) {
//                        mRewardVideoListener?.onAdClick()
//                    }
//                }
//            }
//        }
//        layout?.addView(endCard, params)
//    }


    private fun initBar() {
        requestWindowFeature(Window.FEATURE_NO_TITLE)
        window.setFlags(
            WindowManager.LayoutParams.FLAG_FULLSCREEN,
            WindowManager.LayoutParams.FLAG_FULLSCREEN
        )
    }

//    private fun initLayout() {
//        layout = FrameLayout(this)
//        layout?.setBackgroundColor(Color.parseColor("#ffffff"))
//        val layoutParams = FrameLayout.LayoutParams(
//            FrameLayout.LayoutParams.MATCH_PARENT,
//            FrameLayout.LayoutParams.WRAP_CONTENT
//        )
//        layoutParams.gravity = Gravity.BOTTOM
//        layout?.layoutParams = layoutParams
//        setContentView(layout)
//        Utils.hideNavKey(this)
//    }

    @SuppressLint("SourceLockedOrientationActivity")
    private fun checkNull(): Boolean {
        if (instance?.mAd == null || instance?.mAd?.reward_video == null) {
            return true
        } else {
            mAd = instance?.mAd
            requestedOrientation =
                if (AdBean.SCREEN_ORIENTATION_PORTRAIT == mAd?.reward_video?.orientation) {
                    ActivityInfo.SCREEN_ORIENTATION_PORTRAIT
                } else {
                    ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE
                }
            return false
        }
    }

    override fun onPause() {
        super.onPause()
        goOnPlayOnPause()
        Utils.showNavKey(this)
    }

    override fun onResume() {
        super.onResume()
        goOnPlayOnResume()
        Utils.hideNavKey(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        instance?.onDestroy()
        Utils.showNavKey(this)
        mAd = null

        releaseAllVideos()
        if (mWebView != null) {
            val parent = mWebView?.parent
            if (parent is ViewGroup) {
                mWebView?.removeAllViews()
                mWebView?.destroy()
                parent.removeView(mWebView)
            }
        }
    }

    /**
     * 回退键的逻辑处理,
     * 1.视频没播放完毕,则完全屏蔽返回键
     * 2.视频播放完毕,尾帧不是html,完全屏蔽
     * 3.尾帧是html, GoBack 可以使用.
     *
     * @param keyCode
     * @param event
     * @return
     */
    override fun onKeyDown(keyCode: Int, event: KeyEvent): Boolean {
        if (mDownTime == event.downTime) {
            return true
        }
        mDownTime = event.downTime
        if (keyCode == KeyEvent.KEYCODE_BACK) {
            if (videoClose) {
                if (mWebView != null) {
                    if (mWebView?.canGoBack() == true) {
                        mWebView?.goBack()
                        return true
                    } else {
                        finish()
                    }
                }
            }
            return true
        }
        return super.onKeyDown(keyCode, event)
    }
}
