package com.halomobi.ssp.model.request.config

object HttpUrlSetting {
    private val host: String
        /**
         * 获取Host
         *
         * @return 根据不同环境返回不同Host
         */
        get() = "https://adx.halomobi.com/"


    val requestAdUrl: String
        /**
         * 请求广告地址
         */
        get() = host + "ssp/sdkRequest?from=androidsdk&sdk=1.4.8"


    val requestIpUrl: String
        /**
         * 获取请求Ip功能地址
         */
        get() = host + "ssp/getClientInfo"


}
