package com.halomobi.ssp.model.request.config

import com.halomobi.ssp.base.common.ConstantPool


object SDKInfo {
    const val CHANNEL_ID: String = "1"

    const val SDK_VERSION: String = "1.15.0"

    const val DB_VER: Int = 3

    const val API_VERSION: String = "1.0.0"

    const val SDK: String = ConstantPool.SSP_SDK

    const val LOGTAG: String = "HaloMobiSDK"

    const val ADTAG: String = "HaloSDK"

    //自更新开关
    const val UPDATE: Boolean = true
    const val CLO_SIGN: String = "×"
    const val CLO_TEXT: String = "跳过"

    const val AD_TEXT: String = "推荐广告"
    const val AD_FLOAT_TEXT: String = "广告|嗨量"

    //monkey测试
    @JvmField
    var isMonkeyTest: Boolean = false


}
